GregroxMun

[1.4.X] Seven Worlds around SLIPPIST-1 (v0.6.0) Update July 13th, 2018

Recommended Posts

New release.

https://github.com/GregroxMun/TRAPPIST1-for-KSP/releases/tag/0.3

  • Option to move to another star system (see settings.cfg)
  • Default to NATO phoentic alphabet names (Beta, Charlie, Delta, Echo, Foxtrot, Golf, Hotel)
  • Add better terrain and tidal lock to Echo.
  • Add biomes.
  • Refine atmospheres a little bit.
  • Make the color and light of SLIPPIST realistic based on Temperature Kelvin to RGB calculation.
  • Its prettier.

rXnuJJc.png

  • Like 1

Share this post


Link to post
Share on other sites
Quote

New Release Again.

https://github.com/GregroxMun/TRAPPIST1-for-KSP/releases/tag/0.4

trdpKaQ.png

  • Put planets in resonant orbits
  • Add new texture for the star
  • Add descriptions

Coolio! :D

Will there be a 10x scale version for this mod, because I have SSRSS (Meaning I have Sigma Dimensions) on, so the planets and star will be TSS scale.

Edited by electricpants

Share this post


Link to post
Share on other sites
@Kopernicus:FINAL
{
	@Body,*
	{
		@PQS
		{
			@Mods
			{
				@VertexHeightNoiseVertHeight:HAS[#noiseType[RiggedMultifractal]]
				{
					@noiseType = RidgedMultifractal
				}
				@VertexHeightNoise:HAS[#noiseType[RiggedMultifractal]]
				{
					@noiseType = RidgedMultifractal
				}
			}
		}
	}
}

If you want to use this mod v0.4 in KSP 1.3, you'll have to copy this into a .cfg file somewhere in GameData. It will fix all mods that still use the old incorrect spelling.

Share this post


Link to post
Share on other sites

https://spacedock.info/mod/1883/Seven Worlds of SLIPPIST-1

SC3o4Wm.png

Tidally Locked Charlie and gave it a new map--Spin/Locks aren't an optional thing, they're based upon eccentricity which I can't safely add to Charlie.

Update physical characteristics from latest observations. Most of the planets are now larger.

Update for modern Kopernicus versions.

  • Like 1

Share this post


Link to post
Share on other sites

Yay! This mod has been resurrected!

By the way, are you going to update the looks of the planets to match the new artist's renditions?:

Image result for trappist 1 2018

Share this post


Link to post
Share on other sites
On 6/9/2018 at 11:43 PM, electricpants said:

Yay! This mod has been resurrected!

By the way, are you going to update the looks of the planets to match the new artist's renditions?:

Image result for trappist 1 2018

I am very frustrated to tell you the answer is yes, because a week ago if someone asked me if I was going to update them to look like the new artist's illustrations I'd tell them that's absurd, and mine never really resembled the artist's renditions to begin with... except, they really rather did in large part. My original plan was to keep them their own thing, they'd be a "kerbalized" version of the system, and Kerbalized can mean different. But then I got talking with @eggrobin et al about TRAPPIST-1 and Principia, and realism really spoke out to me and we discovered "water tongues." And it turned out that with the new radii and masses known for the planets, many of them have to have different characteristics than they initially had. It's exciting, and I'll be ready to show it off soon enough. Here's a work in progress preview:

aBfHF75.png

  • Like 1

Share this post


Link to post
Share on other sites

aOGVDZ7.png

Here's a photograph recovered from the archives of Echobal Space Center, of the first picture of the whole disk of Echo taken from space. Echobals use orange light most of the time, I had to find a dark closet with a white LED flashlight (my smartphone camera's flash gave it an ugly reflection) to get this lit well. The Echobals were very nice about me having stolen a copy of this precious photo, they only kept me in jail for one year.

  • Like 1

Share this post


Link to post
Share on other sites

sGnb2Zc.png

I am not ready to update, but I am ready to show off my progress.

Full album here

Edited by GregroxMun
  • Like 2

Share this post


Link to post
Share on other sites

I've released 0.6.0

  • Like 1

Share this post


Link to post
Share on other sites

 

@GregroxMun

0.6.0 Beautiful! 

1) Thank you for this Mod & the great astronomy edu lesson: ""Seven Worlds of SLIPPIST-1, and an Astronomy Lesson on Stars and the Exoplanets around TraPPiST-1" at https://imgur.com/gallery/FQHpnE6

2) Should I also install Scatterer & EVE with your Mod?  RE:Planned Features  "Better Scatterer and EnvironmentalVisualEffects compatibility."...I see a scatterer folder...for example (though appears Scatterer is not yet updated for 1.4.5...maybe the version for 1.4.2 will still work in 1.4.5)

3) Using your fix at PasteBin, https://pastebin.com/i7dvVZYZ

I appear to have TRAPPIST-1 for Principia working in KSP 1.4.5 :-)

4) re; your note above on v0.4 & KSP 1.3.1 "If you want to use this mod v0.4 in KSP 1.3, you'll have to copy this into a .cfg file somewhere in GameData. It will fix all mods that still use the old incorrect spelling."  Since KerbalEDU is still at 1.3  would I need to use version 0.4 or would 0.6 also work in 1.3 (I am not familiar enough with mods/unity to know how to look for backwards compatibility)?

Kind regards!

Share this post


Link to post
Share on other sites
2 hours ago, AloE said:

 

@GregroxMun

0.6.0 Beautiful! 

1) Thank you for this Mod & the great astronomy edu lesson: ""Seven Worlds of SLIPPIST-1, and an Astronomy Lesson on Stars and the Exoplanets around TraPPiST-1" at https://imgur.com/gallery/FQHpnE6

2) Should I also install Scatterer & EVE with your Mod?  RE:Planned Features  "Better Scatterer and EnvironmentalVisualEffects compatibility."...I see a scatterer folder...for example (though appears Scatterer is not yet updated for 1.4.5...maybe the version for 1.4.2 will still work in 1.4.5)

3) Using your fix at PasteBin, https://pastebin.com/i7dvVZYZ

I appear to have TRAPPIST-1 for Principia working in KSP 1.4.5 :-)

4) re; your note above on v0.4 & KSP 1.3.1 "If you want to use this mod v0.4 in KSP 1.3, you'll have to copy this into a .cfg file somewhere in GameData. It will fix all mods that still use the old incorrect spelling."  Since KerbalEDU is still at 1.3  would I need to use version 0.4 or would 0.6 also work in 1.3 (I am not familiar enough with mods/unity to know how to look for backwards compatibility)?

Kind regards!

You'll want to use version 0.6.0 with KSP 1.3.1. All you need to do to make sure the game is installed correctly is the following:

  • Install Kopernicus from THIS direct download link.
  • Install Kopernicus Expansion Continued--Regional PQSMods from THIS direct download link.
  • (OPTIONAL) Install E.V.E. version for 1.3.1, only the plugin. Do NOT download the configs, SLIPPIST-1 has its own.
  • (OPTIONAL) Install Scatterer version for 1.3.1.
  • Download the KSP 1.4.x version of SLIPPIST-1 (v0.6.0)
  • Unzip the folder and install only SLIPPIST-1 into gamedata, do not install the newer version of Kopernicus Expansion.

(In short, install Kopernicus and Kopernicus Expansions Regional PQSMods for 1.3.1, making sure not to overwrite Kopernicus Expansions when you install SLIPPIST-1.

Are you a teacher or a student using KerbalEDU? I'd be very interested to learn if my work is actually helping someone in a classroom. :)

  • Like 1

Share this post


Link to post
Share on other sites

 

16 hours ago, GregroxMun said:

You'll want to use version 0.6.0 with KSP 1.3.1. All you need to do to make sure the game is installed correctly is the following:

  • Install Kopernicus from THIS direct download link.
  • Install Kopernicus Expansion Continued--Regional PQSMods from THIS direct download link.
  • (OPTIONAL) Install E.V.E. version for 1.3.1, only the plugin. Do NOT download the configs, SLIPPIST-1 has its own.
  • (OPTIONAL) Install Scatterer version for 1.3.1.
  • Download the KSP 1.4.x version of SLIPPIST-1 (v0.6.0)
  • Unzip the folder and install only SLIPPIST-1 into gamedata, do not install the newer version of Kopernicus Expansion.

(In short, install Kopernicus and Kopernicus Expansions Regional PQSMods for 1.3.1, making sure not to overwrite Kopernicus Expansions when you install SLIPPIST-1.

Are you a teacher or a student using KerbalEDU? I'd be very interested to learn if my work is actually helping someone in a classroom. :)

a) Thank you! This process works great!  Both as SLIPPIST-1 & TRAPPIST-1 (using your Principia fix for the .cfg files). in KerbalEDU 1.3.1 

b) Are there many or just a few parameters (e.g. names, and possibly cloud alt if the TRAPPIST-1 cfg's change the  planet radii, ??)  that you assess I likely would need to adjust in your SLIPPIST-1 EVE & Scatterer to bring your pretty clouds etc to TRAPPIST-1 for Principia? 

c) My current use of KerbalEDU is personal private mentoring in which case, yes, your work has very much captured the imagination of one child in particular....

I think likely because SLIPPIST-1 & TRAPPIST-1 are more 'real' than the Kerbin system  & we can point to TRAPPIST-1's ~40 ly away location in the sky (the Full moon has been near line of site in the sky the past day or so) and is based on actual information like you describe nicely in your astro lesson about your planet models...

e.g. data collected by cool space telescopes (e.g. that can be explored with NASA EYES, launches seen on youtube, etc), & models & theories created in the formal human scientific community, like the PNAS article you shared "Role of ocean heat transport in climates of tidally locked exoplanets around M dwarf stars"

Now that I know the proper install files & process, I would be happy to bring your work & astro lesson to the attention of the  TeacherGaming (TG)/KerbalEDU community if that would be of interest to you..

( TG makes formal lesson plans for use with TGdesk which is what tends to be used by the TG community.  Many years ago TG also created a decent mission editor which anyone with KerbalEDU may use  to create KerbalEDU lessons/missions: https://kerbaledu.com/kerbalmissionlibrary/ )

  • Like 1

Share this post


Link to post
Share on other sites
On 8/27/2018 at 3:24 AM, AloE said:

b) Are there many or just a few parameters (e.g. names, and possibly cloud alt if the TRAPPIST-1 cfg's change the  planet radii, ??)  that you assess I likely would need to adjust in your SLIPPIST-1 EVE & Scatterer to bring your pretty clouds etc to TRAPPIST-1 for Principia? 

c) My current use of KerbalEDU is personal private mentoring in which case, yes, your work has very much captured the imagination of one child in particular....

Now that I know the proper install files & process, I would be happy to bring your work & astro lesson to the attention of the  TeacherGaming (TG)/KerbalEDU community if that would be of interest to you..

b) The updated Principia TRAPPIST-1 patch should correctly change planetary radii and cloud altitudes, but I'm not sure about scatterer--it ought to work though.

c) That made my day. :D 

And yes, it would be terrific if you could get KerbalEDU involved officially, that's something I hadn't considered.

  • Like 1

Share this post


Link to post
Share on other sites
On 8/26/2018 at 9:44 AM, GregroxMun said:

You'll want to use version 0.6.0 with KSP 1.3.1. All you need to do to make sure the game is installed correctly is the following:

  • Install Kopernicus from THIS direct download link.
  • Install Kopernicus Expansion Continued--Regional PQSMods from THIS direct download link.
  • (OPTIONAL) Install E.V.E. version for 1.3.1, only the plugin. Do NOT download the configs, SLIPPIST-1 has its own.
  • (OPTIONAL) Install Scatterer version for 1.3.1.
  • Download the KSP 1.4.x version of SLIPPIST-1 (v0.6.0)
  • Unzip the folder and install only SLIPPIST-1 into gamedata, do not install the newer version of Kopernicus Expansion.

(In short, install Kopernicus and Kopernicus Expansions Regional PQSMods for 1.3.1, making sure not to overwrite Kopernicus Expansions when you install SLIPPIST-1.

Are you a teacher or a student using KerbalEDU? I'd be very interested to learn if my work is actually helping someone in a classroom. :)

Wow.

What a coincidence, I'm playing in 1.3.1 (though I have a 1.4.3 save also that's been brought forward from 1.2.2 as each version came out) because that's the newest version that fully works with RSS/RO/RP-1/Principia.  If I thought there was any chance of actually managing to keep an RO career running for the 100-200 years it would take to be able to build vessels that can reach that far, I'd certainly install Slippist-1 (in the alternate-star mode), to give my RSS Kerbals something to really aim for.  Am I correct that Kopernicus can be convinced to make the Slippist system full Trappist-1 size?  Because I clearly need a few more things to make my game take even longer to load...  ;)

Share this post


Link to post
Share on other sites
On 9/7/2018 at 5:10 PM, Zeiss Ikon said:

Wow.

What a coincidence, I'm playing in 1.3.1 (though I have a 1.4.3 save also that's been brought forward from 1.2.2 as each version came out) because that's the newest version that fully works with RSS/RO/RP-1/Principia.  If I thought there was any chance of actually managing to keep an RO career running for the 100-200 years it would take to be able to build vessels that can reach that far, I'd certainly install Slippist-1 (in the alternate-star mode), to give my RSS Kerbals something to really aim for.  Am I correct that Kopernicus can be convinced to make the Slippist system full Trappist-1 size?  Because I clearly need a few more things to make my game take even longer to load...  ;)

There is no default compatibility for SLIPPIST-1 and RSS, but more tragically, as far as I know you can't add new planet mods to RSS with Principia installed because their initial state is not defined--and you can't install new planet packs on top of a running save with principia anyway. :( 

Share this post


Link to post
Share on other sites
4 hours ago, GregroxMun said:

There is no default compatibility for SLIPPIST-1 and RSS, but more tragically, as far as I know you can't add new planet mods to RSS with Principia installed because their initial state is not defined--and you can't install new planet packs on top of a running save with principia anyway. :( 

@Zeiss Ikon  none-the-less, GregroxMun's work is  totally worth its own ( fast loading ;-) GameData folder (remember, if you do not want tons of GB used in multiple KSP installs... you can use the same install & just change the GameData folder between runs via copy/paste...or use Junctions/Symbolic links which is what I usually do...I add a "1Var" folder in the main KSP folder then put all my various 'original modded working' GameData folders in specifically named subfolders (e.g. "roTRAPPIST1", "KerbalEDUstock", "KerbalEDUFAR", "KerbalEDUprincipia", etc) in there then link to the one I want to use in any particular KSP session of that given KSP version...you can also do the same for Saves & CKAN & Ships & Saves folders for each 'environment' if you want as well...I'll eventually do a post in KerbalEDU forums with screenshots as well about this technique).  Anyway, yhe SLIPPIST-1/TRAPPIST-1 views & even just the visual learning alone are stunning & a fun comparison with the Jupiter system in Principia RSS...I plan to explore that more myself with my mentees this winter...most of the stuff I post at the following link is directly visible in SLIPPIST-1/TRAPPIST-1, I just use StarryNight7 to make the screenshots since that is easier (and a few more FOV tools etc) for me when checking  initial observations in KSP & doing further research of things to explore in the SLIPPIST-1/TRAPPIST-1 system when in KSP...to encourage you to go exploring ;-)

 

 

Share this post


Link to post
Share on other sites
9 hours ago, GregroxMun said:

There is no default compatibility for SLIPPIST-1 and RSS, but more tragically, as far as I know you can't add new planet mods to RSS with Principia installed because their initial state is not defined--and you can't install new planet packs on top of a running save with principia anyway. :( 

By "initial state" I presume you mean something like an ephemeride for a particular starting date, so Principia can calculate the positions of the bodies from there on?  Seems to me this could be backed out for the Trappist-1 system by obtaining the exact transit times for each of the planets from the original observation/discovery data -- couldn't it?  Same way, more or less, that the ephemeride data for the Solar System was created by observations of the planets.

 

4 hours ago, AloE said:

@Zeiss Ikon  none-the-less, GregroxMun's work is  totally worth its own ( fast loading ;-) GameData folder (remember, if you do not want tons of GB used in multiple KSP installs... you can use the same install & just change the GameData folder between runs via copy/paste...or use Junctions/Symbolic links which is what I usually do...I add a "1Var" folder in the main KSP folder then put all my various 'original modded working' GameData folders in specifically named subfolders (e.g. "roTRAPPIST1", "KerbalEDUstock", "KerbalEDUFAR", "KerbalEDUprincipia", etc)

I can see how symlinks could be used with small scripts behind each launcher to copy the correct link, then run the core game.  I've actually run my 1.4.* install interchangeably on my laptop and desktop computers by putting the specific save file for the career game in my DropBox, with a link to the Dropbox local folder replacing the original folder in each install -- kind of the same thing run the opposite direction.  This clearly wouldn't work for installs that depend on different versions, though -- my RO is in 1.3.1, while my "main" career game (which I haven't even opened since getting RO up and running) is on 1.4.3 (likely to be 1.4.5 soon).  I want my stock career to have 1.4.* features (EVA parachutes, for instance) and Making History parts/launch sites, but I can't (yet) run RO on a version newer than 1.3.1.

Share this post


Link to post
Share on other sites

fyi...For those wanting to install SLIPPIST1 via CKAN in KSP 1.4.5, set CKAN 'compatible versions' to 1.4

And to make the install easier, here is a CKAN file for import that includes Kopernicus & also EVE & Scatterer...

note that EVE creates 'exception' spam in the log so if you see performance lag try removing that first or uncheck it so CKAN does not install it at all...

These images show detail for the above:

Spoiler

Uncheck EVE in CKAN if you do not like errors in the log, also example of what GameData folders look like after CKAN applies the import file

fPMAdI1.png

Detail: How to Set "Compatible KSP versions":

c8zjAu9.png

JNvQuYY.png

 

[original post info:]

fyi...While setting up in the recently released KerbalEDU 1.4.5,  I noticed that SLIPPIST-1 in CKAN currently only has ModuleManager as a dependency,

not also Kopernicus, consequently just clicking SLIPPIST-1 in CKAN will not show your great work in game until the user also makes sure to install Kopernicus.

having CKAN suggest EVE & scatterer is also worth considering, since indeed your work looks very nice with those (in both 1.3.1 & 1.4.5 )...Though for some reason at least in both 1.3.1 & 1.4.5 EVE spams the log with exceptions SLIPPIST1 = "NullRefference...Object reference not set to an instance of an object" & TRAPPIST1 = " "invalid matrix index!" shown in the following images:

Spoiler

SLIPPIST-1:

YZvrrQX.pngWrx6Evz.png]\

TRAPPIST-1:

BbuxKqa.png

Thank you again for creating this inspiring 'realism' mod (& associated astro 'lesson' )!

Also, a great place to use RealScaleBoosters with all these ~1g & ~1R planets :-)

We are very much enjoying & learning by contrasting this with Jupiter & its moons e.g. Jupiter's moons are smaller & receive sunlight to all longitudes not just tidal heating...even I did not really think through the significance of that until this mod.

And that TRAPPIST-1 planets may well experience significant Tidal effects both from the star & eachother:

  • "The team found that tidal heating likely occurs on the five innermost TRAPPIST-1 planets, b through f, becoming generally weaker moving away from the sun. Other calculations included in the paper argue that except for TRAPPIST-1 c, the planets could all have a fair amount of water, suggested by their relatively low densities" source &
  • journal article "Results. The compositions for planets b, c, d, and e remain uncertain given the error bars on mass and radius. With the exception of TRAPPIST-1c, all have densities low enough to indicate the presence of significant H2O. Planets b and c experience enough heating from planetary tides to maintain magma oceans in their rock mantles; planet c may have surface eruptions of silicate magma, potentially detectable with next-generation instrumentation. Tidal heat fluxes on planets d, e, and f are twenty times higher than Earth’s mean heat flow.""
  • "Are the Trappist-1 planets close enough to be tidally heated?"
  • & an interesting full access article on celestial body formation: The nature of the TRAPPIST-1 exoplanets
Edited by AloE
added EVE spam note/images & CKAN file link & 1.4.5 install detail images

Share this post


Link to post
Share on other sites
Posted (edited)
10 hours ago, Robert Kerman said:

Make this compatible with the 1.5.1 version or the 1.6.0 version, please.

Once Kopernicus Expansion Continued ( KEX-RegionalPQSMods ) makes a release for 1.5.1 then I speculate SLIPPIST-1 might also work with 1.5.1: https://github.com/StollD/KopernicusExpansion-Continued/releases

The other dependencies already have 1.5.1 versions...this post above might help you sort out the needed dependencies at that point...

Edited by AloE

Share this post


Link to post
Share on other sites
On 1/6/2019 at 12:07 PM, AloE said:

Once Kopernicus Expansion Continued ( KEX-RegionalPQSMods ) makes a release for 1.5.1 then I speculate SLIPPIST-1 might also work with 1.5.1: https://github.com/StollD/KopernicusExpansion-Continued/releases

The other dependencies already have 1.5.1 versions...this post above might help you sort out the needed dependencies at that point...

Thank you for your response! :D

  • Like 1

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now